### Method

# GLib KeyFile get_groups

since: 2.6

#### Declaration [src]

    gchar**
    g_key_file_get_groups (
      GKeyFile* key_file,
      gsize* length
    )

#### Description [src]

Returns all groups in the key file loaded with `key_file`.

The array of returned groups will be `NULL`-terminated, so `length` may optionally be `NULL`.

Available since: 2.6

#### Parameters

`length`

  Type: `gsize*`

  Return location for the number of returned groups, or `NULL` to ignore.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

A newly-allocated `NULL`-terminated array of strings. Use `g_strfreev()` to free it.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.